package com.qmth.teachcloud.report.business.bean.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: answerDetailBean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/1/14
 */
public class AnswerDetailBean implements Serializable {
    @ApiModelProperty(value = "试卷id")
    private Long paperId;

    @ApiModelProperty(value = "试卷类型")
    private String paperType;

    @ApiModelProperty(value = "得分率")
    private Double scoreRate;

    @ApiModelProperty(value = "难度")
    private String difficult;

    @ApiModelProperty(value = "学院名称")
    private String collegeName;

    @ApiModelProperty(value = "学院id")
    private Long collegeId;

    public AnswerDetailBean(Long paperId, String paperType, Double scoreRate, String difficult, String collegeName, Long collegeId) {
        this.paperId = paperId;
        this.paperType = paperType;
        this.scoreRate = scoreRate;
        this.difficult = difficult;
        this.collegeName = collegeName;
        this.collegeId = collegeId;
    }

    public AnswerDetailBean() {
    }

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Double getScoreRate() {
        return scoreRate;
    }

    public void setScoreRate(Double scoreRate) {
        this.scoreRate = scoreRate;
    }

    public String getDifficult() {
        return difficult;
    }

    public void setDifficult(String difficult) {
        this.difficult = difficult;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public Long getCollegeId() {
        return collegeId;
    }

    public void setCollegeId(Long collegeId) {
        this.collegeId = collegeId;
    }
}
