package com.qmth.teachcloud.report.business.mapper;

import com.qmth.teachcloud.report.business.bean.result.inspectCourseExamTotal.CollegeCourseInfo;
import com.qmth.teachcloud.report.business.bean.result.inspectCourseExamTotal.ExamBaseInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description:
 * @Author: CaoZixuan
 * @Date:
 */
public interface CourseReportMapper {

    List<ExamBaseInfo> findExamTotalByExamId(@Param("examId") Long examId);

    List<CollegeCourseInfo> findCollegeCourseInfo(@Param("examId") Long examId,@Param("collegeId") Long collegeId);
}
