package com.qmth.teachcloud.report.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.report.business.bean.result.TAExamCourseCollegeInspectResult;
import com.qmth.teachcloud.report.business.entity.TAExamCourseCollegeInspect;

import java.util.List;

/**
 * <p>
 * 参考课程考查学院维度分析表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TAExamCourseCollegeInspectService extends IService<TAExamCourseCollegeInspect> {

    /**
     * 查找学院科目维度
     *
     * @param examId
     * @param courseCode
     * @return
     */
    List<TAExamCourseCollegeInspectResult> findCourseDescriptiveStatisticsForCollege(Long examId, String courseCode);

    /**
     * 查找学校科目维度
     *
     * @param examId
     * @param courseCode
     * @return
     */
    List<TAExamCourseCollegeInspectResult> findCourseDescriptiveStatisticsForSchool(Long examId, String courseCode);
}
