package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: CellResult
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/11
 */
public class CellResult implements Serializable {

    @ApiModelProperty(value = "简介")
    private String interpret;

    @ApiModelProperty(value = "分数")
    private String scope;

    @ApiModelProperty(value = "学院平均分得分率")
    private Double colAvgScoreRate;

    @ApiModelProperty(value = "学校平均分得分率")
    private Double schAvgScoreRate;

    @ApiModelProperty(value = "计数")
    private Integer count;

    public CellResult() {

    }

    public CellResult(String interpret, String scope, Double colAvgScoreRate, Double schAvgScoreRate, Integer count) {
        this.interpret = interpret;
        this.scope = scope;
        this.colAvgScoreRate = colAvgScoreRate;
        this.schAvgScoreRate = schAvgScoreRate;
        this.count = count;
    }

    public String getInterpret() {
        return interpret;
    }

    public void setInterpret(String interpret) {
        this.interpret = interpret;
    }

    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public Double getColAvgScoreRate() {
        return colAvgScoreRate;
    }

    public void setColAvgScoreRate(Double colAvgScoreRate) {
        this.colAvgScoreRate = colAvgScoreRate;
    }

    public Double getSchAvgScoreRate() {
        return schAvgScoreRate;
    }

    public void setSchAvgScoreRate(Double schAvgScoreRate) {
        this.schAvgScoreRate = schAvgScoreRate;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }
}
