package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: SurveyTeacherViewResult
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/16
 */
public class SurveyTeacherViewResult implements Serializable {

    @ApiModelProperty(value = "分数段")
    private List<SurveyTeacherGradeDistributionResult> gradeDistribution;

    @ApiModelProperty(value = "题目信息")
    private QuestionListResult questionList;

    @ApiModelProperty(value = "分数分布")
    private SurveyTeacherExamCourseResult surveyTeacher;

    public SurveyTeacherViewResult() {

    }

    public SurveyTeacherViewResult(List<SurveyTeacherGradeDistributionResult> gradeDistribution, QuestionListResult questionList, SurveyTeacherExamCourseResult surveyTeacher) {
        this.gradeDistribution = gradeDistribution;
        this.questionList = questionList;
        this.surveyTeacher = surveyTeacher;
    }

    public List<SurveyTeacherGradeDistributionResult> getGradeDistribution() {
        return gradeDistribution;
    }

    public void setGradeDistribution(List<SurveyTeacherGradeDistributionResult> gradeDistribution) {
        this.gradeDistribution = gradeDistribution;
    }

    public QuestionListResult getQuestionList() {
        return questionList;
    }

    public void setQuestionList(QuestionListResult questionList) {
        this.questionList = questionList;
    }

    public SurveyTeacherExamCourseResult getSurveyTeacher() {
        return surveyTeacher;
    }

    public void setSurveyTeacher(SurveyTeacherExamCourseResult surveyTeacher) {
        this.surveyTeacher = surveyTeacher;
    }
}
