package com.qmth.teachcloud.report.business.enums;

/**
 * @Description: 百分位登记enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/10
 */
public enum GradeScopeEnum {
    LOW_THAN_SIXTY("[0,60)", "60以下"),
    SIXTY_TO_SEVENTY("[60,70)", "60-70"),
    SEVENTY_TO_EIGHTY("[70,80)", "70-80"),
    EIGHTY_TO_NINETY("[80,90)", "80-90"),
    NINETY_TO_NINETY_FIVE("[90,95)", "90-95"),
    NINETY_FIVE_TO_ONE_HUNDRED("[95,100)", "95-100");

    GradeScopeEnum(String scope, String describe) {
        this.scope = scope;
        this.describe = describe;
    }

    private final String scope;
    private final String describe;

    public String getScope() {
        return scope;
    }

    public String getDescribe() {
        return describe;
    }
}
