package com.qmth.teachcloud.report.business.enums;


public enum QuantileEnum {
    UPPER_QUARTILE(0.25,"上四分位数"),
    MEDIAN(0.5,"中位数"),
    LOWER_QUARTILE(0.75,"下四分位数"),
    ;
    QuantileEnum(double value, String desc) {
        this.value = value;
        this.desc = desc;
    }
    private final double value;
    private final String desc;

    public double getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
}
